// MyCom2.idl : IDL source for MyCom2.ocx (or dll)
//
import "oaidl.idl";
import "ocidl.idl";
[
	uuid(F8CE5E42-1135-11d4-A324-0040F6D487D9),
	helpstring("MyCom2 1.0 Type Library"),
	version(1.0)
]
library MyCom2Lib
{
	importlib("stdole32.tlb");
	[
		uuid(F8CE5E41-1135-11d4-A324-0040F6D487D9),
		dual,
		helpstring("IMyCom2 Dispatch Interface")
	]
	interface IMyCom2 : IDispatch
	{
		[propget, id(0), helpstring("property Value")] HRESULT Value([out, retval] long *pVal);
		[propput, id(0), helpstring("property Value")] HRESULT Value([in] long newVal);
		[id(1), helpstring("method Raise")] HRESULT Raise([in] long AddVal);
	}
	[
		uuid(F8CE5E43-1135-11d4-A324-0040F6D487D9),
		helpstring("MyCom2 Class")
	]
	coclass MyCom2
	{
		[default] interface IMyCom2;
	}
}
